{
  inputs,
  pkgs,
  config,
  lib,
  self,
  stylix,
  ...
}:
{
  config.home.stateVersion = "23.05";
  config.home.extraOutputsToInstall = ["doc" "devdoc"];

  imports = [
    ./packages.nix

    ./git
    ./shell
    ./alacritty
    ./helix
    ./tools
    ./qutebrowser

    stylix.homeManagerModules.stylix
    ./theme

    # ./herbstluftwm
    # ./leftwm
    ./xmonad
    # ./hyprland
    # inputs.hyprland.homeManagerModules.default

    # inputs.nix-doom-emacs.hmModule
    # ./doom-emacs
  ];
}
